Retrieve a parcel
curl --request GET \
--url https://api.simplesell.de/v1/parcels/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.simplesell.de/v1/parcels/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.simplesell.de/v1/parcels/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.simplesell.de/v1/parcels/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.simplesell.de/v1/parcels/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.simplesell.de/v1/parcels/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.simplesell.de/v1/parcels/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "<string>",
"reference_code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"processed_at": "2023-11-07T05:31:56Z",
"printed_at": "2023-11-07T05:31:56Z",
"cancelled_at": "2023-11-07T05:31:56Z",
"cancellable_until": "2023-11-07T05:31:56Z",
"receiver": {
"name": "<string>",
"company": "<string>",
"address_line_1": "<string>",
"house_number": "<string>",
"address_line_2": "<string>",
"postal_code": "<string>",
"city": "<string>",
"state_or_region": "<string>",
"country": "<string>",
"email": "jsmith@example.com",
"phone": "<string>"
},
"number_of_labels": 123,
"weight": "<string>",
"packaging": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"dimensions": {
"length": "<string>",
"width": "<string>",
"height": "<string>"
},
"reference": "<string>",
"shipping_method": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"integration_account": {
"name": "<string>"
},
"order_number": "<string>",
"order_date": "2023-11-07T05:31:56Z",
"ship_by": "2023-11-07T05:31:56Z",
"deliver_by": "2023-11-07T05:31:56Z",
"currency": "<string>",
"order_total_price": "<string>",
"order_shipping_price": "<string>",
"shipping_request": "<string>",
"export_reason": "<string>",
"tags": [
"<string>"
],
"note": "<string>",
"items": [
{
"sku": "<string>",
"quantity": 123,
"name": "<string>",
"weight": "<string>",
"price": "<string>",
"storage_location": "<string>",
"description": "<string>",
"origin_country": "<string>",
"hs_code": "<string>",
"note": "<string>"
}
],
"labels": [
{
"number": 123,
"tracking_number": "<string>",
"tracking_url": "<string>",
"return_tracking_number": "<string>"
}
],
"documents": {
"labels": "<string>",
"customs_declaration": "<string>"
},
"processing_errors": [
"<string>"
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Parcels
Retrieve a parcel
GET
/
parcels
/
{id}
Retrieve a parcel
curl --request GET \
--url https://api.simplesell.de/v1/parcels/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.simplesell.de/v1/parcels/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.simplesell.de/v1/parcels/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.simplesell.de/v1/parcels/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.simplesell.de/v1/parcels/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.simplesell.de/v1/parcels/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.simplesell.de/v1/parcels/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "<string>",
"reference_code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"processed_at": "2023-11-07T05:31:56Z",
"printed_at": "2023-11-07T05:31:56Z",
"cancelled_at": "2023-11-07T05:31:56Z",
"cancellable_until": "2023-11-07T05:31:56Z",
"receiver": {
"name": "<string>",
"company": "<string>",
"address_line_1": "<string>",
"house_number": "<string>",
"address_line_2": "<string>",
"postal_code": "<string>",
"city": "<string>",
"state_or_region": "<string>",
"country": "<string>",
"email": "jsmith@example.com",
"phone": "<string>"
},
"number_of_labels": 123,
"weight": "<string>",
"packaging": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"dimensions": {
"length": "<string>",
"width": "<string>",
"height": "<string>"
},
"reference": "<string>",
"shipping_method": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"integration_account": {
"name": "<string>"
},
"order_number": "<string>",
"order_date": "2023-11-07T05:31:56Z",
"ship_by": "2023-11-07T05:31:56Z",
"deliver_by": "2023-11-07T05:31:56Z",
"currency": "<string>",
"order_total_price": "<string>",
"order_shipping_price": "<string>",
"shipping_request": "<string>",
"export_reason": "<string>",
"tags": [
"<string>"
],
"note": "<string>",
"items": [
{
"sku": "<string>",
"quantity": 123,
"name": "<string>",
"weight": "<string>",
"price": "<string>",
"storage_location": "<string>",
"description": "<string>",
"origin_country": "<string>",
"hs_code": "<string>",
"note": "<string>"
}
],
"labels": [
{
"number": 123,
"tracking_number": "<string>",
"tracking_url": "<string>",
"return_tracking_number": "<string>"
}
],
"documents": {
"labels": "<string>",
"customs_declaration": "<string>"
},
"processing_errors": [
"<string>"
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}